Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# TAO_Singleton.h File Reference

`#include "ace/TSS_T.h"`
`#include "ace/Cleanup.h"`

Include dependency graph for TAO_Singleton.h:

This graph shows which files directly or indirectly include this file:

## Compounds
class | TAO_Singleton
| TAO-specific Singleton class. More...
class | TAO_TSS_Singleton
| TAO-specific Singleton class. More...

## Detailed Description

Id:
  TAO_Singleton.h,v 1.8 2003/11/01 20:54:57 bala Exp

Header file for the TAO-specific Singleton implementation. Based entirely on ace/Singleton.*.

Author:
  Ossama Othman <ossama@uci.edu>